## edu.stanford.nlp.trees
Class NPTmpRetainingTreeNormalizer.NPTmpRetainingTreeReaderFactory

    java.lang.Object
      edu.stanford.nlp.trees.NPTmpRetainingTreeNormalizer.NPTmpRetainingTreeReaderFactory

All Implemented Interfaces:
  TreeReaderFactory

Enclosing class:
  NPTmpRetainingTreeNormalizer

    public static class NPTmpRetainingTreeNormalizer.NPTmpRetainingTreeReaderFactory

extends Object
implements TreeReaderFactory

Implementation of TreeReaderFactory, mainly for convenience of constructing by reflection

Constructor Summary
`NPTmpRetainingTreeNormalizer.NPTmpRetainingTreeReaderFactory()`

Method Summary
`TreeReader` `newTreeReader(Reader in)` Create a new `TreeReader` using the provided `Reader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NPTmpRetainingTreeNormalizer.NPTmpRetainingTreeReaderFactory

    public NPTmpRetainingTreeNormalizer.NPTmpRetainingTreeReaderFactory()

Method Detail

### newTreeReader

    public TreeReader newTreeReader(Reader in)

  Description copied from interface: `TreeReaderFactory`
  Create a new `TreeReader` using the provided `Reader`.

  Specified by:
    `newTreeReader` in interface `TreeReaderFactory`
  Parameters:
    `in` - The `Reader` to build on
  Returns:
    The new TreeReader

Stanford NLP Group